feat(pip): Upgrade
[csit.git] / resources / libraries / bash / function / common.sh
index fa57071..b194c31 100644 (file)
@@ -118,7 +118,7 @@ function activate_virtualenv () {
     env_dir="${root_path}/env"
     req_path=${2-$CSIT_DIR/requirements.txt}
     rm -rf "${env_dir}" || die "Failed to clean previous virtualenv."
-    pip3 install virtualenv==20.0.20 || {
+    pip3 install virtualenv==20.15.1 || {
         die "Virtualenv package install failed."
     }
     virtualenv --no-download --python=$(which python3) "${env_dir}" || {
@@ -487,6 +487,10 @@ function get_test_code () {
             NODENESS="3n"
             FLAVOR="dnv"
             ;;
+        *"3n-snr"*)
+            NODENESS="3n"
+            FLAVOR="snr"
+            ;;
         *"2n-tx2"*)
             NODENESS="2n"
             FLAVOR="tx2"
@@ -495,6 +499,10 @@ function get_test_code () {
             NODENESS="3n"
             FLAVOR="tsh"
             ;;
+        *"3n-alt"*)
+            NODENESS="3n"
+            FLAVOR="alt"
+            ;;
     esac
 }
 
@@ -771,7 +779,6 @@ function run_pybot () {
     set -exuo pipefail
 
     all_options=("--outputdir" "${ARCHIVE_DIR}" "${PYBOT_ARGS[@]}")
-    all_options+=("--noncritical" "EXPECTED_FAILING")
     all_options+=("${EXPANDED_TAGS[@]}")
 
     pushd "${CSIT_DIR}" || die "Change directory operation failed."
@@ -875,6 +882,9 @@ function select_tags () {
         *"3n-dnv"* | *"2n-dnv"*)
             default_nic="nic_intel-x553"
             ;;
+        *"3n-snr"*)
+            default_nic="nic_intel-e810xxv"
+            ;;
         *"3n-tsh"*)
             default_nic="nic_intel-x520-da2"
             ;;
@@ -884,7 +894,7 @@ function select_tags () {
         *"3n-skx"* | *"2n-skx"* | *"2n-clx"* | *"2n-zn2"*)
             default_nic="nic_intel-xxv710"
             ;;
-        *"2n-tx2"* | *"mrr-daily-master")
+        *"2n-tx2"* | *"3n-alt"* | *"mrr-daily-master")
             default_nic="nic_intel-xl710"
             ;;
         *"1n-aws"* | *"2n-aws"* | *"3n-aws"*)
@@ -1020,7 +1030,7 @@ function select_tags () {
             test_tag_array+=("!vts")
             test_tag_array+=("!drv_avf")
             ;;
-        *"2n-tx2"*)
+        *"2n-tx2"* | *"3n-alt"*)
             test_tag_array+=("!ipsechw")
             ;;
         *"3n-dnv"*)
@@ -1030,6 +1040,8 @@ function select_tags () {
             test_tag_array+=("!vts")
             test_tag_array+=("!drv_avf")
             ;;
+        *"3n-snr"*)
+            ;;
         *"3n-tsh"*)
             # 3n-tsh only has x520 NICs which don't work with AVF
             test_tag_array+=("!drv_avf")
@@ -1150,6 +1162,10 @@ function select_topology () {
             TOPOLOGIES=( "${TOPOLOGIES_DIR}"/*2n_tx2*.yaml )
             TOPOLOGIES_TAGS="2_node_single_link_topo"
             ;;
+        "3n_alt")
+            TOPOLOGIES=( "${TOPOLOGIES_DIR}"/*3n_alt*.yaml )
+            TOPOLOGIES_TAGS="3_node_single_link_topo"
+            ;;
         "1n_aws")
             TOPOLOGIES=( "${TOPOLOGIES_DIR}"/*1n-aws*.yaml )
             TOPOLOGIES_TAGS="1_node_single_link_topo"
@@ -1188,13 +1204,16 @@ function set_environment_variables () {
 
     case "${TEST_CODE}" in
         *"1n-aws"* | *"2n-aws"* | *"3n-aws"*)
-            # T-Rex 2.88 workaround for ENA NICs
+            # T-Rex 2.88+ workaround for ENA NICs.
             export TREX_RX_DESCRIPTORS_COUNT=1024
             export TREX_EXTRA_CMDLINE="--mbuf-factor 19"
             export TREX_CORE_COUNT=6
-            # Settings to prevent duration stretching
+            # Settings to prevent duration stretching.
             export PERF_TRIAL_STL_DELAY=0.1
             ;;
+        *"2n-zn2"*)
+            # Maciek's workaround for Zen2 with lower amount of cores.
+            export TREX_CORE_COUNT=14
     esac
 }